[arch-commits] Commit in gvfs/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Oct 12 13:52:04 EDT 2008


    Date: Sunday, October 12, 2008 @ 13:52:04
  Author: jgc
Revision: 15139

Merged revisions 13672 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gvfs/trunk

........
  r13672 | jgc | 2008-09-27 23:17:42 +0200 (Sat, 27 Sep 2008) | 1 line
  
  upgpkg: gvfs 1.0.1-1
........

Modified:
  gvfs/repos/testing-x86_64/	(properties)
  gvfs/repos/testing-x86_64/PKGBUILD
Deleted:
  gvfs/repos/testing-x86_64/bug536614.patch

-----------------+
 PKGBUILD        |   17 +++++++----------
 bug536614.patch |   47 -----------------------------------------------
 2 files changed, 7 insertions(+), 57 deletions(-)


Property changes on: gvfs/repos/testing-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /gvfs/trunk:1-12269
   + /gvfs/trunk:1-15138

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2008-10-12 17:50:59 UTC (rev 15138)
+++ testing-x86_64/PKGBUILD	2008-10-12 17:52:04 UTC (rev 15139)
@@ -2,27 +2,24 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gvfs
-pkgver=0.2.5
-pkgrel=3
+pkgver=1.0.1
+pkgrel=1
 pkgdesc="Userspace virtual filesystem implemented as a pluggable module for gio"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('libsoup>=2.4.1' 'libcdio>=0.80-2' 'fuse>=2.7.3' 'bluez>=4.1' 'smbclient>=3.0.31' 'libgphoto2>=2.4.2' 'gnome-keyring>=2.22.3' 'avahi>=0.6.23' 'libarchive>=2.5.5')
+depends=('libsoup>=2.24.0.1' 'libcdio>=0.80-3' 'fuse>=2.7.3' 'bluez' 'smbclient>=3.0.31' 'libgphoto2>=2.4.2' 'gnome-keyring>=2.24.0' 'avahi>=0.6.23' 'libarchive>=2.5.5')
 makedepends=('perlxml' 'pkgconfig')
 url="http://www.gnome.org"
 install=gvfs.install
 options=(!libtool)
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.2/${pkgname}-${pkgver}.tar.bz2
-	bug536614.patch)
-md5sums=('01676053d9481022ade9a5274576541b'
-         '80e6b702f3a28dc3fc3b94b06f4442fd')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.0/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('0d123f87e3e660271cd9d11b8c592c5a')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np2 -i ${srcdir}/bug536614.patch || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --libexecdir=/usr/lib/gvfs || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }

Deleted: testing-x86_64/bug536614.patch
===================================================================
--- testing-x86_64/bug536614.patch	2008-10-12 17:50:59 UTC (rev 15138)
+++ testing-x86_64/bug536614.patch	2008-10-12 17:52:04 UTC (rev 15139)
@@ -1,47 +0,0 @@
---- branches/gnome-2-22/client/gvfsfusedaemon.c	2008/05/23 03:22:22	1784
-+++ branches/gnome-2-22/client/gvfsfusedaemon.c	2008/07/18 23:18:04	1821
-@@ -313,9 +313,11 @@
-                                      (gpointer *) &fh))
-       goto out;
- 
-+  g_hash_table_steal (global_fh_table, old_path);
-+
-   g_free (fh->path);
-   fh->path = g_strdup (new_path);
--  g_hash_table_steal (global_fh_table, old_path);
-+
-   g_hash_table_insert (global_fh_table, fh->path, fh);
- 
-  out:
-@@ -959,11 +961,15 @@
- 
-               /* Set up a stream here, so we can check for errors */
- 
-+              g_mutex_lock (fh->mutex);
-+
-               if (fi->flags & O_WRONLY || fi->flags & O_RDWR)
-                 result = setup_output_stream (file, fh);
-               else
-                 result = setup_input_stream (file, fh);
- 
-+              g_mutex_unlock (fh->mutex);
-+
-               /* The added reference to the file handle is released in vfs_release() */
-             }
-           else if (file_type == G_FILE_TYPE_DIRECTORY)
-@@ -1047,11 +1053,14 @@
- 
-               SET_FILE_HANDLE (fi, fh);
- 
--              g_assert (fh->stream == NULL);
-+              g_mutex_lock (fh->mutex);
- 
-+              file_handle_close_stream (fh);
-               fh->stream = file_output_stream;
-               fh->op = FILE_OP_WRITE;
- 
-+              g_mutex_unlock (fh->mutex);
-+
-               /* The added reference to the file handle is released in vfs_release() */
-             }
-           else




More information about the arch-commits mailing list